summaryrefslogtreecommitdiffabout
path: root/delta.jscad
authorMichael Krelin <hacker@klever.net>2016-01-06 23:45:07 (UTC)
committer Michael Krelin <hacker@klever.net>2016-01-06 23:45:07 (UTC)
commitd9e0cf63db5c64802dfbba0dc76506b9b0d5127a (patch) (unidiff)
treefdd6fbd126f56912af51b110981d3dbc21b36ab3 /delta.jscad
parent79d2c17aae2b852d1af73c3c2192430b87070935 (diff)
downloadredelta-d9e0cf63db5c64802dfbba0dc76506b9b0d5127a.zip
redelta-d9e0cf63db5c64802dfbba0dc76506b9b0d5127a.tar.gz
redelta-d9e0cf63db5c64802dfbba0dc76506b9b0d5127a.tar.bz2
duet configuration
Diffstat (limited to 'delta.jscad') (more/less context) (show whitespace changes)
-rw-r--r--delta.jscad5
1 files changed, 5 insertions, 0 deletions
diff --git a/delta.jscad b/delta.jscad
index be12b65..f06870e 100644
--- a/delta.jscad
+++ b/delta.jscad
@@ -5,48 +5,53 @@ var PRINT = {
5 fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6 5 fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6
6}; 6};
7 7
8var CONFIG = { 8var CONFIG = {
9 extrusion: { 9 extrusion: {
10 w: 20 10 w: 20
11 }, 11 },
12 base: { 12 base: {
13 el: 240, // side extrusion length 13 el: 240, // side extrusion length
14 sl: 240+2*70, // triangle side length 14 sl: 240+2*70, // triangle side length
15 gap: 9 // vertical gap between side extrusions 15 gap: 9 // vertical gap between side extrusions
16 }, 16 },
17 column: { 17 column: {
18 h: 600 // column height 18 h: 600 // column height
19 }, 19 },
20 heatbed: { 20 heatbed: {
21 r: 220/2, // heatbed radius 21 r: 220/2, // heatbed radius
22 sr: 220/2-4.5,// radius of the screwholes circle 22 sr: 220/2-4.5,// radius of the screwholes circle
23 h: 3+1.5 // thickness (including insulation) 23 h: 3+1.5 // thickness (including insulation)
24 }, 24 },
25 glass: { 25 glass: {
26 r: 195/2, // glass radius 26 r: 195/2, // glass radius
27 h: 3 // glass thickness 27 h: 3 // glass thickness
28 }, 28 },
29 duet: {
30 pcb_size: { x: 124, y: 100, z: 1 },
31 hole_spacing: { x: 115, y: 92 },
32 h: 30
33 },
29 hotend: { 34 hotend: {
30 h: 62.4, // full assembly height 35 h: 62.4, // full assembly height
31 groove: { d:12, h:6 }, // grove diameter and height 36 groove: { d:12, h:6 }, // grove diameter and height
32 ungroove: { d:16, above:3.7, below: 3+4 } 37 ungroove: { d:16, above:3.7, below: 3+4 }
33 }, 38 },
34 effector: { 39 effector: {
35 h: 6, 40 h: 6,
36 o: 20,// offset to the rod mounts line 41 o: 20,// offset to the rod mounts line
37 rods_apart: 40, 42 rods_apart: 40,
38 cone: { shell: 1, angle: Math.PI/6 }, 43 cone: { shell: 1, angle: Math.PI/6 },
39 rodend: { 44 rodend: {
40 joint_w: 7,// thickness of the joint 45 joint_w: 7,// thickness of the joint
41 screw_l: 20-1, // 20 with the head 46 screw_l: 20-1, // 20 with the head
42 screw_d: 3 47 screw_d: 3
43 }, 48 },
44 hotend: { margin: 2 }, 49 hotend: { margin: 2 },
45 hinge: { 50 hinge: {
46 d: 3, w: 5, margin: 2.5, 51 d: 3, w: 5, margin: 2.5,
47 h: 1+(6+3.7)/2, // elevation + grove + top 52 h: 1+(6+3.7)/2, // elevation + grove + top
48 e: 1 // elevation 53 e: 1 // elevation
49 }, 54 },
50 clamp: { 55 clamp: {
51 shell: 4.6, 56 shell: 4.6,
52 d: 3, 57 d: 3,